Skip to main content
POST
Create a Marker Setting

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

Body

application/json
type
string
required

Groups similar Markers. For example, 'deploys'. All Markers of the same type appears with the same color on the graph.

Example:

"deploy"

color
string
required

Color to use for display of this marker type. Specified as hexadecimal RGB. For example, "#F96E11".

Example:

"#7b1fa2"

Response

Success

type
string
required

Groups similar Markers. For example, 'deploys'. All Markers of the same type appears with the same color on the graph.

Example:

"deploy"

color
string
required

Color to use for display of this marker type. Specified as hexadecimal RGB. For example, "#F96E11".

Example:

"#7b1fa2"

id
string
read-only

The unique identifier (ID) for the Marker Setting.

Example:

"gwAHiE5TS4j"

created_at
string
read-only

The ISO8601-formatted time when the Marker Setting was created.

Example:

"2022-09-15T05:39:42Z"

updated_at
null | string
read-only

The ISO8601-formatted time when the Marker Setting was updated.

Example:

"2022-12-15T04:25:14Z"